Index: binaries/data/mods/public/simulation/ai/aegis/enemy-watcher.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/enemy-watcher.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/enemy-watcher.js	(Arbeitskopie)
@@ -1,3 +1,6 @@
+var AEGIS = function(m)
+{
+
 /*
  * A class that keeps track of enemy buildings, units, and pretty much anything I can think of (still a LOT TODO here)
  * Only watches one enemy, you'll need one per enemy.
@@ -4,29 +7,29 @@
  * Note: pretty much unused in the current version.
  */
 
-var enemyWatcher = function(gameState, playerToWatch) {
+m.enemyWatcher = function(gameState, playerToWatch) {
 	
 	this.watched = playerToWatch;
 	
 	// using global entity collections, shared by any AI that knows the name of this.
 	
-	var filter = Filters.and(Filters.byClass("Structure"), Filters.byOwner(this.watched));
+	var filter = API3.Filters.and(API3.Filters.byClass("Structure"), API3.Filters.byOwner(this.watched));
 	this.enemyBuildings = gameState.updatingGlobalCollection("player-" +this.watched + "-structures", filter);
 
-	filter = Filters.and(Filters.byClass("Unit"), Filters.byOwner(this.watched));
+	filter = API3.Filters.and(API3.Filters.byClass("Unit"), API3.Filters.byOwner(this.watched));
 	this.enemyUnits = gameState.updatingGlobalCollection("player-" +this.watched + "-units", filter);
 
-	filter = Filters.and(Filters.byClass("Worker"), Filters.byOwner(this.watched));
+	filter = API3.Filters.and(API3.Filters.byClass("Worker"), API3.Filters.byOwner(this.watched));
 	this.enemyCivilians = gameState.updatingGlobalCollection("player-" +this.watched + "-civilians", filter);
 							 
-	filter = Filters.and(Filters.byClassesOr(["CitizenSoldier", "Hero", "Champion", "Siege"]), Filters.byOwner(this.watched));
+	filter = API3.Filters.and(API3.Filters.byClassesOr(["CitizenSoldier", "Hero", "Champion", "Siege"]), API3.Filters.byOwner(this.watched));
 	this.enemySoldiers = gameState.updatingGlobalCollection("player-" +this.watched + "-soldiers", filter);
 	
-	filter = Filters.and(Filters.byClass("Worker"), Filters.byOwner(this.watched));
+	filter = API3.Filters.and(API3.Filters.byClass("Worker"), API3.Filters.byOwner(this.watched));
 	this.enemyCivilians = gameState.getEnemyEntities().filter(filter);
 	this.enemyCivilians.registerUpdates();
 
-	filter = Filters.and(Filters.byClassesOr(["CitizenSoldier", "Hero", "Champion", "Siege"]), Filters.byOwner(this.watched));
+	filter = API3.Filters.and(API3.Filters.byClassesOr(["CitizenSoldier", "Hero", "Champion", "Siege"]), API3.Filters.byOwner(this.watched));
 	this.enemySoldiers = gameState.getEnemyEntities().filter(filter);
 	this.enemySoldiers.registerUpdates();
 
@@ -40,15 +43,15 @@
 	this.dangerousArmies = [];
 	
 };
-enemyWatcher.prototype.getAllEnemySoldiers = function() {
+m.enemyWatcher.prototype.getAllEnemySoldiers = function() {
 	return this.enemySoldiers;
 };
-enemyWatcher.prototype.getAllEnemyBuildings = function() {
+m.enemyWatcher.prototype.getAllEnemyBuildings = function() {
 	return this.enemyBuildings;
 };
 
-enemyWatcher.prototype.getEnemyBuildings = function(gameState, specialClass, OneTime) {
-	var filter = Filters.byClass(specialClass);
+m.enemyWatcher.prototype.getEnemyBuildings = function(gameState, specialClass, OneTime) {
+	var filter = API3.Filters.byClass(specialClass);
 	
 	if (OneTime && gameState.getGEC("player-" +this.watched + "-structures-" +specialClass))
 		return gameState.getGEC("player-" +this.watched + "-structures-" +specialClass);
@@ -57,55 +60,55 @@
 	
 	return gameState.updatingGlobalCollection("player-" +this.watched + "-structures-" +specialClass, filter, gameState.getGEC("player-" +this.watched + "-structures"));
 };
-enemyWatcher.prototype.getDangerousArmies = function() {
+m.enemyWatcher.prototype.getDangerousArmies = function() {
 	var toreturn = {};
 	for (var i in this.dangerousArmies)
 		toreturn[this.dangerousArmies[i]] = this.armies[this.dangerousArmies[i]];
 	return toreturn;
 };
-enemyWatcher.prototype.getSafeArmies = function() {
+m.enemyWatcher.prototype.getSafeArmies = function() {
 	var toreturn = {};
 	for (var i in this.armies)
 		if (this.dangerousArmies.indexOf(i) == -1)
 			toreturn[i] = this.armies[i];
 	return toreturn;
 };
-enemyWatcher.prototype.resetDangerousArmies = function() {
+m.enemyWatcher.prototype.resetDangerousArmies = function() {
 	this.dangerousArmies = [];
 };
-enemyWatcher.prototype.setAsDangerous = function(armyID) {
+m.enemyWatcher.prototype.setAsDangerous = function(armyID) {
 	if (this.dangerousArmies.indexOf(armyID) === -1)
 		this.dangerousArmies.push(armyID);
 };
-enemyWatcher.prototype.isDangerous = function(armyID) {
+m.enemyWatcher.prototype.isDangerous = function(armyID) {
 	if (this.dangerousArmies.indexOf(armyID) === -1)
 		return false;
 	return true;
 };
 // returns [id, army]
-enemyWatcher.prototype.getArmyFromMember = function(memberID) {
+m.enemyWatcher.prototype.getArmyFromMember = function(memberID) {
 	for (var i in this.armies) {
 		if (this.armies[i].toIdArray().indexOf(memberID) !== -1)
 			return [i,this.armies[i]];
 	}
 	return undefined;
 };
-enemyWatcher.prototype.isPartOfDangerousArmy = function(memberID) {
+m.enemyWatcher.prototype.isPartOfDangerousArmy = function(memberID) {
 	var armyID = this.getArmyFromMember(memberID)[0];
 	if (this.isDangerous(armyID))
 		return true;
 	return false;
 };
-enemyWatcher.prototype.cleanDebug = function() {
+m.enemyWatcher.prototype.cleanDebug = function() {
 	for (var armyID in this.armies) {
 		var army = this.armies[armyID];
-		debug ("Army " +armyID);
-		debug (army.length +" members, centered around " +army.getCentrePosition());
+		m.debug ("Army " +armyID);
+		m.debug (army.length +" members, centered around " +army.getCentrePosition());
 	}
 }
 
 // this will monitor any unmonitored soldier.
-enemyWatcher.prototype.detectArmies = function(gameState){
+m.enemyWatcher.prototype.detectArmies = function(gameState){
 	//this.cleanDebug();
 	
 	var self = this;
@@ -121,7 +124,7 @@
 			var armyID = gameState.player + "" + self.totalNBofArmies;
 			self.totalNBofArmies++,
 			enemy.setMetadata(PlayerID, "EnemyWatcherArmy",armyID);
-			var filter = Filters.byMetadata(PlayerID, "EnemyWatcherArmy",armyID);
+			var filter = API3.Filters.byMetadata(PlayerID, "EnemyWatcherArmy",armyID);
 			var army = self.enemySoldiers.filter(filter);
 			self.armies[armyID] = army;
 			self.armies[armyID].registerUpdates();
@@ -140,7 +143,7 @@
 };
 // this will merge any two army who are too close together. The distance for "army" is fairly big.
 // note: this doesn't actually merge two entity collections... It simply changes the unit metadatas, and will clear the empty entity collection
-enemyWatcher.prototype.mergeArmies = function(){
+m.enemyWatcher.prototype.mergeArmies = function(){
 	for (var army in this.armies) {
 		var firstArmy = this.armies[army];
 		if (firstArmy.length !== 0) {
@@ -149,7 +152,7 @@
 				if (otherArmy !== army && this.armies[otherArmy].length !== 0) {
 					var secondArmy = this.armies[otherArmy];
 					// we're not self merging, so we check if the two armies are close together
-					if (inRange(firstAPos,secondArmy.getApproximatePosition(4), 4000 ) ) {
+					if (m.inRange(firstAPos,secondArmy.getApproximatePosition(4), 4000 ) ) {
 						// okay so we merge the two together
 						
 						// if the other one was dangerous and we weren't, we're now.
@@ -166,7 +169,7 @@
 	}
 	this.ScrapEmptyArmies();
 };
-enemyWatcher.prototype.ScrapEmptyArmies = function(){
+m.enemyWatcher.prototype.ScrapEmptyArmies = function(){
 	var removelist = [];
 	for (var army in this.armies) {
 		if (this.armies[army].length === 0) {
@@ -181,10 +184,10 @@
 	}
 };
 // splits any unit too far from the centerposition
-enemyWatcher.prototype.splitArmies = function(gameState){
+m.enemyWatcher.prototype.splitArmies = function(gameState){
 	var self = this;
 	
-	var map = Map.createTerritoryMap(gameState);
+	var map = m.createTerritoryMap(gameState);
 	
 	for (var armyID in this.armies) {
 		var army = this.armies[armyID];
@@ -197,14 +200,14 @@
 			if (enemy.position() === undefined)
 				return;
 					 
-			if (!inRange(enemy.position(),centre, 3500) ) {
+			if (!m.inRange(enemy.position(),centre, 3500) ) {
 				var newArmyID = gameState.player + "" + self.totalNBofArmies;
 				if (self.dangerousArmies.indexOf(armyID) !== -1)
 					 self.dangerousArmies.push(newArmyID);
 				
 				self.totalNBofArmies++,
 				enemy.setMetadata(PlayerID, "EnemyWatcherArmy",newArmyID);
-				var filter = Filters.byMetadata(PlayerID, "EnemyWatcherArmy",newArmyID);
+				var filter = API3.Filters.byMetadata(PlayerID, "EnemyWatcherArmy",newArmyID);
 				var newArmy = self.enemySoldiers.filter(filter);
 				self.armies[newArmyID] = newArmy;
 				self.armies[newArmyID].registerUpdates();
@@ -213,3 +216,7 @@
 		});
 	}
 };
+
+
+return m;
+}(AEGIS);
Index: binaries/data/mods/public/simulation/ai/aegis/entitycollection-extend.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/entitycollection-extend.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/entitycollection-extend.js	(Arbeitskopie)
@@ -1,4 +1,7 @@
-function EntityCollectionFromIds(gameState, idList){
+var AEGIS = function(m)
+{
+
+m.EntityCollectionFromIds = function(gameState, idList){
 	var ents = {};
 	for (var i in idList){
 		var id = idList[i];
@@ -6,5 +9,8 @@
 			ents[id] = gameState.entities._entities[id];
 		}
 	}
-	return new EntityCollection(gameState.sharedScript, ents);
+	return new API3.EntityCollection(gameState.sharedScript, ents);
 }
+
+return m;
+}(AEGIS);
Index: binaries/data/mods/public/simulation/ai/aegis/timer.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/timer.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/timer.js	(Arbeitskopie)
@@ -1,3 +1,6 @@
+var AEGIS = function(m)
+{
+
 //The Timer class // The instance of this class is created in the qBot object under the name 'timer'
 //The methods that are available to call from this instance are:
 //timer.setTimer           : Creates a new timer with the given interval (miliseconds).
@@ -11,7 +14,7 @@
 
 
 //-EmjeR-// Timer class //
-var Timer = function() {
+m.Timer = function() {
 	///Private array.
 	var alarmList = [];
 	
@@ -94,7 +97,7 @@
 
 
 //-EmjeR-// Alarm class //
-function alarm(gameState, id, interval, delay, repeat) {
+m.alarm = function(gameState, id, interval, delay, repeat) {
 	this.id = id;
 	this.interval = interval;
 	this.delay = delay;
@@ -104,3 +107,6 @@
 	this.active = true;
 	this.counter = 0;
 };
+
+return m;
+}(AEGIS);
Index: binaries/data/mods/public/simulation/ai/aegis/template-manager.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/template-manager.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/template-manager.js	(Arbeitskopie)
@@ -1,3 +1,6 @@
+var AEGIS = function(m)
+{
+
 /*
  * Used to know which templates I have, which templates I know I can train, things like that.
  * Mostly unused.
@@ -3,5 +6,5 @@
  */
 
-var TemplateManager = function(gameState) {
+m.TemplateManager = function(gameState) {
 	var self = this;
 	
@@ -23,7 +26,7 @@
 	this.getTemplateCounters(gameState);
 	
 };
-TemplateManager.prototype.AcknowledgeTemplates = function(gameState)
+m.TemplateManager.prototype.AcknowledgeTemplates = function(gameState)
 {
 	var self = this;
 	var myEntities = gameState.getOwnEntities();
@@ -39,7 +42,7 @@
 
 	});
 }
-TemplateManager.prototype.getBuildableSubtemplates = function(gameState)
+m.TemplateManager.prototype.getBuildableSubtemplates = function(gameState)
 {
 	for each (var templateName in this.knownTemplatesList) {
 		var template = gameState.getTemplate(templateName);
@@ -59,7 +62,7 @@
 		}
 	}
 }
-TemplateManager.prototype.getTrainableSubtemplates = function(gameState)
+m.TemplateManager.prototype.getTrainableSubtemplates = function(gameState)
 {
 	for each (var templateName in this.knownTemplatesList) {
 		var template = gameState.getTemplate(templateName);
@@ -79,7 +82,7 @@
 		}
 	}
 }
-TemplateManager.prototype.getTemplateCounters = function(gameState)
+m.TemplateManager.prototype.getTemplateCounters = function(gameState)
 {
 	for (var i in this.unitTemplates)
 	{
@@ -89,7 +92,7 @@
 	}
 }
 // features auto-caching
-TemplateManager.prototype.getCountersToClasses = function(gameState,classes,templateName)
+m.TemplateManager.prototype.getCountersToClasses = function(gameState,classes,templateName)
 {
 	if (templateName !== undefined && this.templateCounteredBy[templateName])
 		return this.templateCounteredBy[templateName];
@@ -114,3 +117,6 @@
 	return templates;
 }
 
+
+return m;
+}(AEGIS);
Index: binaries/data/mods/public/simulation/ai/aegis/queue.js
===================================================================
--- binaries/data/mods/public/simulation/ai/aegis/queue.js	(Revision 14386)
+++ binaries/data/mods/public/simulation/ai/aegis/queue.js	(Arbeitskopie)
@@ -1,3 +1,6 @@
+var AEGIS = function(m)
+{
+
 /*
  * Holds a list of wanted items to train or construct
  */
@@ -2,12 +5,12 @@
 
-var Queue = function() {
+m.Queue = function() {
 	this.queue = [];
 	this.paused = false;
 };
 
-Queue.prototype.empty = function() {
+m.Queue.prototype.empty = function() {
 	this.queue = [];
 };
 
-Queue.prototype.addItem = function(plan) {
+m.Queue.prototype.addItem = function(plan) {
 	for (var i in this.queue)
@@ -23,7 +26,7 @@
 	this.queue.push(plan);
 };
 
-Queue.prototype.getNext = function() {
+m.Queue.prototype.getNext = function() {
 	if (this.queue.length > 0) {
 		return this.queue[0];
 	} else {
@@ -31,7 +34,7 @@
 	}
 };
 
-Queue.prototype.startNext = function(gameState) {
+m.Queue.prototype.startNext = function(gameState) {
 	if (this.queue.length > 0) {
 		this.queue.shift().start(gameState);
 		return true;
@@ -42,8 +45,8 @@
 
 // returns the maximal account we'll accept for this queue.
 // Currently 100% of the cost of the first element and 80% of that of the second
-Queue.prototype.maxAccountWanted = function(gameState) {
-	var cost = new Resources();
+m.Queue.prototype.maxAccountWanted = function(gameState) {
+	var cost = new API3.Resources();
 	if (this.queue.length > 0 && this.queue[0].isGo(gameState))
 		cost.add(this.queue[0].getCost());
 	if (this.queue.length > 1 && this.queue[1].isGo(gameState))
@@ -55,19 +58,19 @@
 	return cost;
 };
 
-Queue.prototype.queueCost = function(){
-	var cost = new Resources();
+m.Queue.prototype.queueCost = function(){
+	var cost = new API3.Resources();
 	for (var key in this.queue){
 		cost.add(this.queue[key].getCost());
 	}
 	return cost;
 };
 
-Queue.prototype.length = function() {
+m.Queue.prototype.length = function() {
 	return this.queue.length;
 };
 
-Queue.prototype.countQueuedUnits = function(){
+m.Queue.prototype.countQueuedUnits = function(){
 	var count = 0;
 	for (var i in this.queue){
 		count += this.queue[i].number;
@@ -75,7 +78,7 @@
 	return count;
 };
 
-Queue.prototype.countQueuedUnitsWithClass = function(classe){
+m.Queue.prototype.countQueuedUnitsWithClass = function(classe){
 	var count = 0;
 	for (var i in this.queue){
 		if (this.queue[i].template && this.queue[i].template.hasClass(classe))
@@ -83,7 +86,7 @@
 	}
 	return count;
 };
-Queue.prototype.countQueuedUnitsWithMetadata = function(data,value){
+m.Queue.prototype.countQueuedUnitsWithMetadata = function(data,value){
 	var count = 0;
 	for (var i in this.queue){
 		if (this.queue[i].metadata[data] && this.queue[i].metadata[data] == value)
@@ -92,7 +95,7 @@
 	return count;
 };
 
-Queue.prototype.countAllByType = function(t){
+m.Queue.prototype.countAllByType = function(t){
 	var count = 0;
 	
 	for (var i = 0; i < this.queue.length; i++){
@@ -102,3 +105,6 @@
 	}
 	return count;
 };
+
+return m;
+}(AEGIS);
